version: '3.3'
services:
  nms-singleton-server:
    image: registry.cn-shenzhen.aliyuncs.com/dmcloudv2/nms-singleton-server:!IMAGE_VERSION
    container_name: nms-singleton-server
    restart: always
    privileged: true
    environment:
      - TZ=Asia/Shanghai
      - ENV_HOST=!ENV_HOST
      - REDIS_HOST=!REDIS_HOST
      - REDIS_PASSWD=!REDIS_PASSWD
      - DATABASE=!DATABASE_NAME
      - DATABASE_HOST=!DATABASE_HOST
      - DATABASE_USERNAME=!DATABASE_USERNAME
      - DATABASE_PASSWD=!DATABASE_PASSWD
    ports:
      - 80:80
      - 443:443
      - 2555:2555/udp
      - 3005-3006:3005-3006
      - 3333-3334:3333-3334
      - 5001-5032:5001-5032
      - 20006-20007:20006-20007
      - 30000-30127:30000-30127
    volumes:
      - /dmagent/logs:/tmp/logs
      - /dmagent/www/resources:/var/data/www/resources
      - /etc/localtime:/etc/localtime
      - /etc/.lcs:/dmagent/license
      - /sbin/dmidecode:/sbin/dmidecode
      - /dev/mem:/dev/mem
    logging:
      driver: 'json-file'
      options:
        max-file: '3'
        max-size: '200M'
    command: supervisord -c /etc/supervisord.conf